# PostfixUnaryExpression Class Reference
[Logical expressions used in OSQL and Form]

Inheritance diagram for PostfixUnaryExpression:
[legend]

List of all members.

## Public Member Functions

| __construct ($subject, $logic)
| toDialectString (Dialect $dialect)
| toMapped (ProtoDAO $dao, JoinCapableQuery $query)
| toBoolean (Form $form)

## Public Attributes

const | IS_NULL = 'IS NULL'
const | IS_NOT_NULL = 'IS NOT NULL'
const | IS_TRUE = 'IS TRUE'
const | IS_FALSE = 'IS FALSE'

## Private Attributes

| $subject = null
| $logic = null

## Detailed Description

Definition at line 15 of file PostfixUnaryExpression.class.php.

## Constructor & Destructor Documentation

PostfixUnaryExpression::__construct | ( | $ | subject,
|  | $ | logic |
| ) |  |  |

Definition at line 26 of file PostfixUnaryExpression.class.php.

References $logic, and $subject.

## Member Function Documentation

PostfixUnaryExpression::toBoolean | ( | Form $ | form | ) |

Definition at line 52 of file PostfixUnaryExpression.class.php.

References $subject, and Form::toFormValue().

Here is the call graph for this function:

PostfixUnaryExpression::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 32 of file PostfixUnaryExpression.class.php.

PostfixUnaryExpression::toMapped | ( | ProtoDAO $ | dao,
|  | JoinCapableQuery $ | query |
| ) |  |  |

Returns:
  PostfixUnaryExpression

Implements MappableObject.

Definition at line 44 of file PostfixUnaryExpression.class.php.

References ProtoDAO::guessAtom().

Here is the call graph for this function:

## Member Data Documentation

PostfixUnaryExpression::$logic = null`[private]`

Definition at line 24 of file PostfixUnaryExpression.class.php.

Referenced by __construct().

PostfixUnaryExpression::$subject = null`[private]`

Definition at line 23 of file PostfixUnaryExpression.class.php.

Referenced by __construct(), and toBoolean().

const PostfixUnaryExpression::IS_FALSE = 'IS FALSE'

Definition at line 21 of file PostfixUnaryExpression.class.php.

Referenced by OqlParser::getLogicExpression(), and Expression::isFalse().

const PostfixUnaryExpression::IS_NOT_NULL = 'IS NOT NULL'

Definition at line 18 of file PostfixUnaryExpression.class.php.

Referenced by OqlParser::getLogicExpression(), and Expression::notNull().

const PostfixUnaryExpression::IS_NULL = 'IS NULL'

Definition at line 17 of file PostfixUnaryExpression.class.php.

Referenced by OqlParser::getLogicExpression(), and Expression::isNull().

const PostfixUnaryExpression::IS_TRUE = 'IS TRUE'

Definition at line 20 of file PostfixUnaryExpression.class.php.

Referenced by OqlParser::getLogicExpression(), and Expression::isTrue().

The documentation for this class was generated from the following file:

- core/Logic/PostfixUnaryExpression.class.php